package org.texttechnologylab.project.gruppe_05_1.database.domainimp.speeches;

import org.bson.Document;
import org.texttechnologylab.project.gruppe_05_1.xml.speeches.Impls.Comment_File_Impl;
import org.texttechnologylab.project.gruppe_05_1.xml.speeches.Interfaces.Comment;


public class Comment_MongoDB_Impl extends Comment_File_Impl implements Comment {

    public Comment_MongoDB_Impl(Document mongoDocument) {
        super(
                mongoDocument.getInteger("contentId"),
                mongoDocument.getInteger("speechId"),
                mongoDocument.getString("commentatorName"),
                mongoDocument.getString("comment"));
    }
}
